---
- name: Bitwarden | Create bin directory
  ansible.builtin.file: 
    path: "$HOME/.local/bin"
    state: directory
    mode: 0700

- name: Bitwarden | Install CLI package
  ansible.builtin.unarchive:
    src: "https://vault.bitwarden.com/download/?app=cli&platform=linux"
    dest: $HOME/.local/bin/bw
    remote_src: yes
    mode: 0755

# - name: Bitwarden | Check Login status
#   ansible.builtin.shell:
#     cmd: 'bw status | jq .status'
#   register: bw_status

# - block:
#   - name: Bitwarden | Prompt for BitWarden Email
#     ansible.builtin.pause:
#       prompt: "Enter your BitWarden Email account"
#     register: bw_email
  
#   - name: Bitwarden | Prompt for BitWarden Password
#     ansible.builtin.pause:
#       prompt: "Enter your BitWarden account password"
#     register: bw_pass

#   - name: Bitwarden | Login
#     ansible.builtin.shell:
#       cmd: bw login {{ bw_email }} {{ bw_pass }} --raw
#     register: bw_session
  
#   when: bw_status == "unauthenticated"
